%define upstream_name    Digest-CRC
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Generic CRC functions
License:    Public Domain
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Digest/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
The Digest::CRC module calculates CRC sums of all sorts. It contains wrapper
functions with the correct parameters for CRC-CCITT, CRC-16 and CRC-32.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%dir %{perl_vendorarch}/auto/Digest/CRC
%{perl_vendorarch}/auto/Digest/CRC/*.so
%{perl_vendorarch}/Digest/CRC.pm
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-3.mga3
+ Revision: 365919
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.180.0-2.mga3
+ Revision: 250555
- rebuild for perl 5.16

* Mon Nov 14 2011 jquelin <jquelin> 0.180.0-1.mga2
+ Revision: 167635
- update to 0.18
- update to 0.17

* Sat Jun 11 2011 sander85 <sander85> 0.160.0-2.mga2
+ Revision: 104206
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 30153
- mageia rebuild
- imported package perl-Digest-CRC

